<?php

date_default_timezone_set('America/Chicago');

include('../common/basicusage.php');

$args_array = parseArgs($argv);
# printArgs($args_array);
# CDP Server to connect to
$HOST=$args_array['host'];

# Port to check on
$PORT=$args_array['port'];

# Username
$USER=$args_array['user'];

# Password for the user
$PASS=$args_array['pass'];

# By default, secure api port is 9443
#           unsecure api port is 9080
if (strlen($PORT) < 1) { $PORT=9443; }

if (strlen($HOST) < 1) {
	echo "ERROR: --host=<host> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($USER) < 1) {
	echo "ERROR: --user=<user> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}
if (strlen($PASS) < 1) {
	echo "ERROR: --pass=<pass> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}


?>
